<template>
  <div class="main-layout">
    <the-header></the-header>
    <slot></slot>
    <the-footer></the-footer>
  </div>
</template>

<script lang="ts">
import Vue from "vue";
import TheHeader from "../TheHeader/TheHeader.vue";
import TheFooter from "../TheFooter/TheFooter.vue";

export default Vue.extend({
  name: "TheMainLayout",
  components: {
    TheHeader,
    TheFooter
  }
});
</script>
